CVE-2010-3616

NameCVE-2010-3616
DescriptionISC DHCP server 4.2 before 4.2.0-P2, when configured to use failover partnerships, allows remote attackers to cause a denial of service (communications-interrupted state and DHCP client service loss) by connecting to a port that is only intended for a failover peer, as demonstrated by a Nagios check_tcp process check to TCP port 520.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
isc-dhcp (PTS)stretch4.3.5-3+deb9u1fixed
stretch (security)4.3.5-3+deb9u2fixed
buster4.4.1-2+deb10u1fixed
bullseye4.4.1-2.3fixed
bookworm4.4.2-P1-1fixed
sid4.4.3-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
dhcpsource(unstable)(not affected)
dhcp3source(unstable)(not affected)
isc-dhcpsource(unstable)(not affected)

Notes

- isc-dhcp <not-affected> (Only affects 4.2.x)
- dhcp3 <not-affected> (Only affects 4.2.x)
- dhcp <not-affected> (Only affects 4.2.x)

Search for package or bug name: Reporting problems